import request from '@/utils/request'

// 查询联系人社会关系列表
export function listRelationship(query) {
  return request({
    url: '/mk/bo/relationship/list',
    method: 'get',
    params: query
  })
}

// 查询联系人社会关系详细
export function getRelationship(id) {
  return request({
    url: '/mk/bo/relationship/' + id,
    method: 'get'
  })
}

// 新增联系人社会关系
export function addRelationship(data) {
  return request({
    url: '/mk/bo/relationship',
    method: 'post',
    data: data
  })
}

// 修改联系人社会关系
export function updateRelationship(data) {
  return request({
    url: '/mk/bo/relationship',
    method: 'put',
    data: data
  })
}

// 删除联系人社会关系
export function delRelationship(id) {
  return request({
    url: '/mk/bo/relationship/' + id,
    method: 'delete'
  })
}
